extern short signbits(unsigned char asign, unsigned char bsign, boolean op, short BtoA);
extern unsigned char ALU(unsigned char a, unsigned char b);
extern boolean faddmode(unsigned char a_sign, unsigned char b_sign, boolean add);
extern unsigned char ALU(unsigned char a, unsigned char b);
extern boolean arith(boolean op);
extern void set_ALU_trace(boolean set);


